/******************************************************************************
*                                                                             *
*   E a s y C h a r                                                           *
*                                                                             *
*   by Stefan Heule                                                           *
*   member of boolsoft (www.boolsoft.org)                                     *
*                                                                             *
*   Source Code                                                               *
*                                                                             *
*******************************************************************************

EasyChar - Replacement of the standard char menu
Copyright (C) 2007-2010  Stefan Heule

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef HEADER_H
#define HEADER_H


// ----------------------------------------------------------------- //
// --- defines
// ----------------------------------------------------------------- //
// if you change the backup struct, change this magic, too!
// easych01  ->  EasyChar 1.1.0
#define OPTIONS_FILE_MAGIC        "easych01"

// smaller code
#define OPTIMIZE_ROM_CALLS

// produce code for all models
#define USE_TI89
#define USE_TI92PLUS
#define USE_V200

// min ams version
#define MIN_AMS 200

// offsets where the table will be displayed
#define OFFSET_Y (TI89 ? 2 : 12)
#define OFFSET_X 1

// size of the backup file
#define BACKUP_SIZE 24*15+6 // 4 tabs with 6 lines with each 15 chars + file magic

// name of the backup file
#define OPTIONS_FILE_NAME "main\\charlist"

typedef struct _options
{
	short posx, posy;           // cursor position
	short tab;                  // current tab
	unsigned char data[24*15];     // charlist
} OPTIONS;



// ----------------------------------------------------------------- //
// --- extern vars
// ----------------------------------------------------------------- //
extern OPTIONS pref;                // the preferences
extern void* screen;                // backbuffer (NOT full screen size!)





// ----------------------------------------------------------------- //
// --- header files
// ----------------------------------------------------------------- //
#include <tigcclib.h>
#include "messages.h"




// ----------------------------------------------------------------- //
// --- prototypes
// ----------------------------------------------------------------- //
// main.c
void _main(void);

// fileio.c
short loadBackup(void);
unsigned char checksum(void* data, unsigned short bytes);
short saveBackup(void);

// ui.c
void switchBackbuffer(void);
void DrawDialog(short x0, short y0, short x1, short y1, const char* title);
void DrawRect(short x0, short y0, short x1, short y1, short fill, short color);

// util.c
void add(short *a, short max);
void sub(short *a, short max);
short getKey(void);
short IsKeyWaiting(void);




#endif // #ifndef HEADER_H
















