/******************************************************************************
*                                                                             *
*   E a s y C h a r                                                           *
*                                                                             *
*   by Stefan Heule                                                           *
*   member of boolsoft (www.boolsoft.org)                                     *
*                                                                             *
*   Source Code                                                               *
*                                                                             *
*******************************************************************************

EasyChar - Replacement of the standard char menu
Copyright (C) 2007-2010  Stefan Heule

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef MSG_ENGLISH_H
#define MSG_ENGLISH_H


// ----------------------------------------------------------------- //
// --- misc
// ----------------------------------------------------------------- //
//#define MSG_MISC_FIND_CHAR          "Find char"
#define MSG_MISC_FIND_CHAR            "Find char"
//#define MSG_MISC_ENTER_NUMBER       "Enter number"
#define MSG_MISC_ENTER_NUMBER         "Enter number"
//#define MSG_MISC_PREVIEW            "Preview"
#define MSG_MISC_PREVIEW              "Preview"


// ----------------------------------------------------------------- //
// --- tabs
// ----------------------------------------------------------------- //
//#define MSG_TAB_NAMES               "Favorite   Math   Special   International"
#define MSG_TAB_NAMES                 "Favorite   Math   Special   International"
//#define MSG_TAB_LASTUSED            "Last used"
#define MSG_TAB_LASTUSED              "Last used"
//#define MSG_TAB_FAVORITES           "Favorites"
#define MSG_TAB_FAVORITES             "Favorites"
//#define MSG_TAB_MATH                "Math"
#define MSG_TAB_MATH                  "Math"
//#define MSG_TAB_GREEK               "Greek"
#define MSG_TAB_GREEK                 "Greek"
//#define MSG_TAB_SPECIAL             "Special"
#define MSG_TAB_SPECIAL               "Special"
//#define MSG_TAB_PUNCTUATION         "Punctuation"
#define MSG_TAB_PUNCTUATION           "Punctuation"


// ----------------------------------------------------------------- //
// --- help
// ----------------------------------------------------------------- //
//#define MSG_HELP                    "Help"
#define MSG_HELP                      "Help"
//#define MSG_HELP_ARROWS             "arrows"
#define MSG_HELP_ARROWS               "arrow"
//#define MSG_HELP_PASTE_CHAR         "Paste current character"
#define MSG_HELP_PASTE_CHAR           "Paste current character"
//#define MSG_HELP_PASTE_DONT_LEAVE   "Paste char, don't leave"
#define MSG_HELP_PASTE_DONT_LEAVE     "Paste char, don't leave"
//#define MSG_HELP_SWITCH_TABS        "Switch between tabs"
#define MSG_HELP_SWITCH_TABS          "Switch between tabs"
//#define MSG_HELP_JUMP               "Jump to end/beginning"
#define MSG_HELP_JUMP                 "Jump to end/beginning"
//#define MSG_HELP_COPY_PASTE         "Copy/paste character"
#define MSG_HELP_COPY_PASTE           "Copy/paste character"
//#define MSG_HELP_OPEN_OLD_MENU      "Open standard charmenu"
#define MSG_HELP_OPEN_OLD_MENU        "Open standard charmenu"
//#define MSG_HELP_OPEN_SET_CHAR      "Open 'Find char'"
#define MSG_HELP_OPEN_SET_CHAR        "Open 'Find char'"


// ----------------------------------------------------------------- //
// --- about
// ----------------------------------------------------------------- //
//#define MSG_ABOUT                   "About"
#define MSG_ABOUT                     "About"
//#define MSG_ABOUT_BY_AUTHOR         "by Stefan Heule"
#define MSG_ABOUT_BY_AUTHOR           "by Stefan Heule"
//#define MSG_ABOUT_BOOLSOFT_MEMBER   "member of boolsoft"
#define MSG_ABOUT_BOOLSOFT_MEMBER     "member of boolsoft"


// ----------------------------------------------------------------- //
// --- error messages
// ----------------------------------------------------------------- //
//#define MSG_ERROR_PREFIX            "ERROR: "
#define MSG_ERROR_PREFIX              "ERROR: "
//#define MSG_ERROR_POSTFIX           "!"
#define MSG_ERROR_POSTFIX             "!"
//#define MSG_ERROR_MEMORY            MSG_ERROR_PREFIX"Out of RAM"MSG_ERROR_POSTFIX
#define MSG_ERROR_MEMORY              MSG_ERROR_PREFIX"Out of RAM"MSG_ERROR_POSTFIX
//#define MSG_ERROR_FILE_NOT_FOUND    MSG_ERROR_PREFIX"File 'charlist' not found"MSG_ERROR_POSTFIX
#define MSG_ERROR_FILE_NOT_FOUND      MSG_ERROR_PREFIX"File 'charlist' not found"MSG_ERROR_POSTFIX
//#define MSG_ERROR_READ_FROM_FILE    MSG_ERROR_PREFIX"Failed to read from the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_READ_FROM_FILE      MSG_ERROR_PREFIX"Failed to read from the charlist"MSG_ERROR_POSTFIX
//#define MSG_ERROR_SAVE_CONFIG       MSG_ERROR_PREFIX"Failed to save the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_SAVE_CONFIG         MSG_ERROR_PREFIX"Failed to save the charlist"MSG_ERROR_POSTFIX
//#define MSG_ERROR_CREATE_FILE       MSG_ERROR_PREFIX"Failed to create the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_CREATE_FILE         MSG_ERROR_PREFIX"Failed to create the charlist"MSG_ERROR_POSTFIX
//#define MSG_ERROR_WRITE_TO_FILE     MSG_ERROR_PREFIX"Failed to write to the charlist"MSG_ERROR_POSTFIX
#define MSG_ERROR_WRITE_TO_FILE       MSG_ERROR_PREFIX"Failed to write to the charlist"MSG_ERROR_POSTFIX
//#define MSG_ERROR_CORRUPTED_FILE    MSG_ERROR_PREFIX"Corrupted charlist, get a new one"MSG_ERROR_POSTFIX
#define MSG_ERROR_CORRUPTED_FILE      MSG_ERROR_PREFIX"Corrupted charlist, get a new one"MSG_ERROR_POSTFIX
//#define MSG_ERROR_OUTDATED_FILE     MSG_ERROR_PREFIX"Outdated charlist, get a new one"MSG_ERROR_POSTFIX
#define MSG_ERROR_OUTDATED_FILE       MSG_ERROR_PREFIX"Outdated charlist, get a new one"MSG_ERROR_POSTFIX


// ----------------------------------------------------------------- //
// --- warnings
// ----------------------------------------------------------------- //
//#define MSG_WARNING_PREFIX          "WARNING: "
#define MSG_WARNING_PREFIX            "WARNING: "
//#define MSG_WARNING_POSTFIX         "!"
#define MSG_WARNING_POSTFIX           "!"
//#define MSG_WARNING_NO_REPLACE_CLIP MSG_WARNING_PREFIX"Can't replace, put char into clipboard"MSG_WARNING_POSTFIX
#define MSG_WARNING_NO_REPLACE_CLIP   MSG_WARNING_PREFIX"Can't replace, put char into clipboard"MSG_WARNING_POSTFIX
//#define MSG_WARNING_NO_REPLACE      MSG_WARNING_PREFIX"Can't replace this char"MSG_WARNING_POSTFIX
#define MSG_WARNING_NO_REPLACE        MSG_WARNING_PREFIX"Can't replace this char"MSG_WARNING_POSTFIX

#endif

















