/******************************************************************************
*                                                                             *
*   E a s y C h a r                                                           *
*                                                                             *
*   by Stefan Heule                                                           *
*   member of boolsoft (www.boolsoft.org)                                     *
*                                                                             *
*   Source Code                                                               *
*                                                                             *
*******************************************************************************

EasyChar - Replacement of the standard char menu
Copyright (C) 2007-2010  Stefan Heule

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/



// ----------------------------------------------------------------- //
// --- header files
// ----------------------------------------------------------------- //
#include "header.h"



// ----------------------------------------------------------------- //
// adds 1 to <a>, and if it is bigger than <max>, sets <a> to 0
// ----------------------------------------------------------------- //
void add(short *a, short max)
{
	(*a)++;
		if (*a > max)
			*a = 0;
}

// ----------------------------------------------------------------- //
// subtracts 1 from <a>, and if it is negativ, sets <a> to <max>
// ----------------------------------------------------------------- //
void sub(short *a, short max)
{
	(*a)--;
		if (*a < 0)
			*a = max;
}

// ----------------------------------------------------------------- //
// checks for keypresses and turns the calc of if APD expired
// ----------------------------------------------------------------- //
short getKey(void)
{
	void *kbq = kbd_queue();
	unsigned short key;
	
	// restart the APD timer now
	OSTimerRestart(APD_TIMER);
	
	// get an input
	while (OSdequeue(&key, kbq))
	{
		// check if it is necessary to turn the calc off
		if (OSTimerExpired(APD_TIMER))
		{
			off();
			OSTimerRestart(APD_TIMER);
		}
	}
	
	// erase the status line
	ST_eraseHelp();
	
	// allow key repetition
	return key & 0xF7FF;
}

// ----------------------------------------------------------------- //
// fast replacement for kbhit()
// ----------------------------------------------------------------- //
short IsKeyWaiting(void)
{
	unsigned short key;
	return OSqinquire(&key,kbd_queue());
}
















